CachePoolIterator (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol, class: CachePoolIterator

Package org.apache.hadoop.hdfs.protocol

# Class CachePoolIterator

java.lang.Object
org.apache.hadoop.fs.BatchedRemoteIterator<String,CachePoolEntry>
org.apache.hadoop.hdfs.protocol.CachePoolIterator

All Implemented Interfaces:
  `org.apache.hadoop.fs.RemoteIterator<CachePoolEntry>`

@Private @Evolving public class CachePoolIterator extends org.apache.hadoop.fs.BatchedRemoteIterator<String,CachePoolEntry>
CachePoolIterator is a remote iterator that iterates cache pools. It supports retrying in case of namenode failover.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.fs.BatchedRemoteIterator

  `org.apache.hadoop.fs.BatchedRemoteIterator.BatchedEntries<E extends Object>, org.apache.hadoop.fs.BatchedRemoteIterator.BatchedListEntries<E extends Object>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CachePoolIterator(ClientProtocol namenode, org.apache.hadoop.tracing.Tracer tracer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `elementToPrevKey(CachePoolEntry entry)`
  `org.apache.hadoop.fs.BatchedRemoteIterator.BatchedEntries<CachePoolEntry>`
  `makeRequest(String prevKey)`

  ### Methods inherited from class org.apache.hadoop.fs.BatchedRemoteIterator

  `hasNext, next`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CachePoolIterator

    public CachePoolIterator(ClientProtocol namenode, org.apache.hadoop.tracing.Tracer tracer)

- ## Method Details

  - ### makeRequest

    public org.apache.hadoop.fs.BatchedRemoteIterator.BatchedEntries<CachePoolEntry> makeRequest(String prevKey) throws IOException
    Specified by:
      `makeRequest` in class `org.apache.hadoop.fs.BatchedRemoteIterator<String,CachePoolEntry>`
    Throws:
      `IOException`

  - ### elementToPrevKey

    public String elementToPrevKey(CachePoolEntry entry)
    Specified by:
      `elementToPrevKey` in class `org.apache.hadoop.fs.BatchedRemoteIterator<String,CachePoolEntry>`